<template>
  <div :class="{'account-list__notification': notification}"></div>
</template>

<script>
  import STEPS from '@/constants/steps.js';

  export default {
    props: {
      item: {
        type: Object,
        default: () => {}
      }
    },
    data() {
      return {
        STEP: STEPS
      }
    },
    computed: {
      notification() {
        if (this.item.type === this.STEP.AUCTION) {
          if (this.item.status === null && this.lostStatus === this.STEP.ACTIVE) {
            return true;
          } else if (this.item.status === this.STEP.ACTIVE && this.item.currentState === this.STEP.WIN) {
            return true;
          } else {
            return false;
          }
        } else if (this.item.type === this.STEP.BOOKING && this.item.status === this.STEP.ACTIVE) {
          return true;
        } else {
          return false;
        }
      }
    }
  }
</script>